Semantic MediaWiki 1.5.4

From semantic-mediawiki.org
Jump to: navigation, search
Semantic MediaWiki 1.5.4
Release date: 1 Dec 2010
Previous version: SMW 1.5.3
Next version: SMW 1.5.5
Compatible with: MW 1.14.x - 1.17.x
Current version
SMW 2.4.1

Version 1.5.4 of Semantic MediaWiki is the next minor release after SMW 1.5.3 that mainly brings fixes for earlier discovered issues.

Upgrading existing installations

Installations of SMW 1.5.x can be upgraded by just replacing the files (but note that you need to run MediaWiki 1.15 or greater now; this is strongly recommended anyway). This release is backward compatible with 1.5.3, so all extensions working with 1.5.3 should also work fine with 1.5.4. If problems do occur, it is possible to go back to 1.5.x by simply using the old files, and waiting with the upgrade until the relevant extensions provide updates.

It is suggested to change the inclusion of SMW in LocalSettings.php to the following as described in the installation instructions above:

include_once("$IP/extensions/SemanticMediaWiki/SemanticMediaWiki.php");

Including SMW_Settings.php as in 1.5.0 and before will continue to work, but may be disabled in some future version.

For upgrading older versions, please see the installation instructions.

Changes

Bugfixes

SMW 1.5.4 closes a number of bugs that have been identified in earlier versions. The more noteworthy ones include:

  • Fixed #declare parser function, which got broken in SMW 1.5.3.
  • Fixed the style of the factbox and sort buttons of sortable tables when running MediaWiki 1.17.
  • Fixed the "other options" in Special:Ask, which got broken in SMW 1.5.3.

Code improvements and structure changes

Code style and structure has been improved to follow the general MediaWiki conventions and additional code documentation has been added at various places.

Extended translations

As usual, translations have been extended thanks to the Translatewiki.net project.


This page in other languages: de

Semantic MediaWiki 1.5.4 en